import themidibus.*; //MidiBusライブラリの読み込み
MidiBus myBus; //MidiBusクラスのインスタンス名

int dev = 2; //MIDIデバイスの設定
int ch = 0; //MIDIチャンネルの設定
int program = 0; //プログラムチェンジ（音色）の設定

int note = 60; //ノートナンバー（音階）の設定
int vel = 100;  //ベロシティ（音の強さ）の設定0〜127

void setup() {
  size (500, 300); //ウィンドウサイズ
  MidiBus.list(); ///MIDIデバイスリストの取得
  myBus = new MidiBus(this, 0, dev); //インスタンスの作成（入出力音源の設定）
  myBus.sendMessage(0xC0, program); //プログラムチェンジ送信
}

void draw() {
  background (0, 104, 55);
  text ("Click and release! ", 15, 20);
    
  text ("MIDI Device No: " + dev, 15, 60);
  text ("Program Change: " + program, 15, 80);
  text ("Note Number: " + note, 15, 100);

}

void mousePressed () { //マウスを押した時
  myBus.sendNoteOn (ch, note, vel); //NoteOnの送信
}
 
void mouseReleased () { //マウスを離した時
  myBus.sendNoteOff (ch, note, vel); //NoteOffの送信
}
